com.massivecraft.factions.event

## Class LandUnclaimEvent

- java.lang.Object
- - org.bukkit.event.Event
  - - com.massivecraft.factions.event.FactionEvent
    - - com.massivecraft.factions.event.FactionPlayerEvent
      - - com.massivecraft.factions.event.LandUnclaimEvent

- All Implemented Interfaces:
    org.bukkit.event.Cancellable

      public class LandUnclaimEvent
      extends FactionPlayerEvent
      implements org.bukkit.event.Cancellable

  Event called when an FPlayer unclaims land for a Faction.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.event.Event

      `org.bukkit.event.Event.Result`

  - ### Field Summary

    - ### Fields inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `fPlayer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LandUnclaimEvent(FLocation loc, Faction f, FPlayer p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFactionId()` Deprecated. use getFaction().getId() instead.
    `java.lang.String` | `getFactionTag()` Deprecated. use getFaction().getTag() instead.
    `FLocation` | `getLocation()`
    `org.bukkit.entity.Player` | `getPlayer()` Deprecated. use getfPlayer().getPlayer() instead.
    `boolean` | `isCancelled()`
    `void` | `setCancelled(boolean c)`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionPlayerEvent

      `getfPlayer`

    - ### Methods inherited from class com.massivecraft.factions.event.FactionEvent

      `getFaction, getHandlerList, getHandlers`

    - ### Methods inherited from class org.bukkit.event.Event

      `getEventName, isAsynchronous`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LandUnclaimEvent

          public LandUnclaimEvent(FLocation loc,
                                  Faction f,
                                  FPlayer p)

  - ### Method Detail

    - #### getLocation

          public FLocation getLocation()

    - #### getFactionId

          @Deprecated
          public java.lang.String getFactionId()

      Deprecated. use getFaction().getId() instead.
      Get the id of the faction.
      Returns:
        id of faction as String

    - #### getFactionTag

          @Deprecated
          public java.lang.String getFactionTag()

      Deprecated. use getFaction().getTag() instead.
      Get the tag of the faction.
      Returns:
        tag of faction as String

    - #### getPlayer

          @Deprecated
          public org.bukkit.entity.Player getPlayer()

      Deprecated. use getfPlayer().getPlayer() instead.
      Get the Player involved in the event.
      Returns:
        Player from FPlayer.

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `org.bukkit.event.Cancellable`

    - #### setCancelled

          public void setCancelled(boolean c)

      Specified by:
        `setCancelled` in interface `org.bukkit.event.Cancellable`